# Tools to automatically clean and enrich vocabulary entries at museum-digital

This repository contains a set of tools, that can be hooked into an existing application working with museum-digital's structures and libraries, to simplify the handling of vocabulary entries.

## General applicability

While most scripts in this repository require a DB connection to a museum-digital vocabulary database, and are thus likely useful outside of museum-digital's own ecosystem. An exception are `src/NodaTimeSplitter.php` and `src/NodaUncertaintyHelper.php`.

## NodaTimeSplitter

`src/NodaTimeSplitter.php` contains a list of rules to reformulate and parse entered time names into an array.

## NodaUncertaintyHelper

`src/NodaUncertaintyHelper.php` contains lists of indicators for invalid or uncertain inputs and functions to use those lists to clean inputs . If, e.g., "Berlin?" has been entered as a place, this actually means that the entered place is "Berlin" and the entry is uncertain.
